Subject: Re: linux-next: build failure after merge of the tip tree

From: Ritesh Harjani <[email-masked]>
Date: Thu, 12 Mar 2026 21:13:47 +0530

Mark Brown <[email-masked]> writes:

> On Wed, Mar 11, 2026 at 05:09:04PM +0100, Peter Zijlstra wrote:
>> On Wed, Mar 11, 2026 at 08:03:50PM +0530, Ojaswin Mujoo wrote:
>> > On Wed, Mar 11, 2026 at 11:37:43AM +0100, Peter Zijlstra wrote:
>
>> > I believe this issue is resolved with [1]. However, I think this might
>> > not be the same as the issue reported originally as we the original
>> > issue seems to be in mballoc-tests rather than extent-tests. I'll try to
>> > look into it a bit more.
>
>> > [1] https://lore.kernel.org/linux-ext4/5bb[email-masked]/
>
>> I can confirm that solves the KASAN splat; it also cures the defconfig
>> hang that was initially mis-attributed to the mutex patch, but turned
>> out to be memory corruption due to that issue KASAN found.
>
>> FWIW:
>
>> Tested-by: Peter Zijlstra (Intel) <[email-masked]> 
>
> Yes, that seems to work for me too - looks like tip just triggers it
> more aggressively for some reason:
>
> Tested-by: Mark Brown <[email-masked]>

Thanks Mark, Peter & Ojaswin for testing.

++linux-ext4 so that if someone observes the same issue in ext4 kunit
tests, they could find this discussion on linux-ext4.

-ritesh